# Typy dokumentů

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /codelist/documentFileType:
    get:
      summary: Typy dokumentů
      deprecated: false
      description: >-
        ## Význam a použití

        Tato metoda slouží k zobrazení dokumentů, které jsou nezbytnou součástí
        celních procesů při mezinárodní přepravě zásilek. Dokumenty se
        přikládají k zahraničním zásilkám a jsou vyžadovány pro celní odbavení.


        **Typy podporovaných dokumentů**

        Metoda vrací následující typy dokumentů:


        **CIN data (Customs Information Number)** – identifikační údaje pro
        celní správu, které obsahují informace potřebné pro celní řízení a
        umožňují sledování zásilky v rámci celního systému.

        **Faktury** – obchodní dokumenty dokládající hodnotu zboží, které jsou
        nezbytné pro výpočet cla a daní. Obsahují informace o odesílateli,
        příjemci, popisu zboží a jeho hodnotě.

        **Dispozice** – pokyny a instrukce týkající se manipulace se zásilkou,
        případně další doprovodné dokumenty vyžadované pro konkrétní typ zboží
        nebo cílovou zemi.
      tags:
        - API Metody/Codelist
        - Codelist
      parameters:
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Eps.Api.MyApi2.Web.Models.Codelist.DocumentFileTypeModel
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: ''
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                $ref: >-
                  #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
          headers: {}
          x-apidog-name: ''
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              schema: &ref_0
                $ref: >-
                  #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonBasicModel
          headers:
            WWW-Authenticate:
              description: >-
                Contains reason of 401 result -
                https://tools.ietf.org/html/rfc6750#section-3
              schema:
                type: string
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: ''
        '403':
          description: Unauthorized
          content:
            application/problem+json:
              schema: *ref_0
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: ''
        '500':
          description: Server Error
          content:
            application/json:
              schema: *ref_0
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: ''
        '503':
          description: Server Error
          content:
            application/json:
              schema: *ref_0
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: ''
      security:
        - Bearer: []
          x-apidog:
            schemeGroups:
              - id: 4yQnZ5UBBVmsaCZZrOfdP
                schemeIds:
                  - Bearer
            required: true
            use:
              id: 4yQnZ5UBBVmsaCZZrOfdP
            scopes:
              4yQnZ5UBBVmsaCZZrOfdP:
                Bearer: []
      x-apidog-folder: API Metody/Codelist
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-27079525-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.Codelist.DocumentFileTypeModel:
      type: object
      properties:
        name:
          type: string
          description: Jméno
          nullable: true
        code:
          type: string
          description: Kód
          nullable: true
      additionalProperties: false
      description: Document file type
      x-apidog-orders:
        - name
        - code
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonBasicModel:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
